Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface HistoryListener

All Superinterfaces:
  java.util.EventListener

    public interface HistoryListener

extends java.util.EventListener

Implement this interface to receive notification of changes to the browser history state. It is used with `History`.

Method Summary
`void` | `onHistoryChanged(java.lang.String historyToken)` Fired when the user clicks the browser's 'back' or 'forward' buttons.

Method Detail

### onHistoryChanged

    void onHistoryChanged(java.lang.String historyToken)

  Fired when the user clicks the browser's 'back' or 'forward' buttons.

  Parameters:
    `historyToken` - the token representing the current history state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD